"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
var webpack_1 = require("webpack");
var WebpackAlertAggregator = /** @class */ (function () {
    function WebpackAlertAggregator(compilation) {
        this.compilation = compilation;
        this.errors = [];
        this.warnings = [];
    }
    WebpackAlertAggregator.prototype.addError = function (message) {
        this.errors.push(message);
    };
    WebpackAlertAggregator.prototype.addWarning = function (message) {
        this.warnings.push(message);
    };
    WebpackAlertAggregator.prototype.flushAlerts = function (prefix) {
        var _a, _b;
        (_a = this.compilation.errors).push.apply(_a, __spreadArray([], __read(this.errors.map(function (e) { return new webpack_1.WebpackError("".concat(prefix, ": ").concat(e)); })), false));
        this.errors = [];
        (_b = this.compilation.warnings).push.apply(_b, __spreadArray([], __read(this.warnings.map(function (w) { return new webpack_1.WebpackError("".concat(prefix, ": ").concat(w)); })), false));
        this.warnings = [];
    };
    return WebpackAlertAggregator;
}());
exports.default = WebpackAlertAggregator;
//# sourceMappingURL=WebpackAlertAggregator.js.map