import type * as webpack from 'webpack';
import type IWebpackChunkModule from './types/IWebpackChunkModule';
export type Compilation = Partial<webpack.Compilation & {
    chunkGraph: {
        getChunkModulesIterable: (chunk: Chunk) => IWebpackChunkModule[];
        getChunkEntryModulesIterable: (chunk: Chunk) => IWebpackChunkModule[];
    };
}>;
type Chunk = Partial<Pick<webpack.Chunk & {
    forEachModule?: (callback: (module: IWebpackChunkModule) => void) => void;
    modules?: IWebpackChunkModule[];
}, 'entryModule' | 'forEachModule' | 'modules' | 'modulesIterable'>>;
export default class WebpackChunkModuleIterator {
    iterateModules(compilation: Compilation, chunk: Chunk, callback: (module: IWebpackChunkModule) => void): void;
}
export {};
